accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Drob (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-1063) Update pom.xml to reference Commons IO v2.4 (or change Instamo to remove dependency)
Date Tue, 05 Mar 2013 02:13:13 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-1063?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13592958#comment-13592958
] 

Mike Drob commented on ACCUMULO-1063:
-------------------------------------

One potential issue is with diverging from whatever versions of commons the underlying Hadoop
distribution uses. If users need to run MR jobs against Accumulo, I'm worried about classpath
conflicts between hadoop libs and accumulo libs.
                
> Update pom.xml to reference Commons IO v2.4 (or change Instamo to remove dependency)
> ------------------------------------------------------------------------------------
>
>                 Key: ACCUMULO-1063
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-1063
>             Project: Accumulo
>          Issue Type: Bug
>            Reporter: David Medinets
>            Assignee: Christopher Tubbs
>            Priority: Minor
>             Fix For: 1.5.0
>
>         Attachments: ACCUMULO-1063.patch
>
>
> The MapReduceExample (for MiniAccumuloCluster) seems to depend on Commons IO v2.4 but
the current compilation places Commons IO v1.2 in the lib directory.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message